Subject: Re: [mpls-tp] Description of Extra Traffic in Survivability Framework

From: Curtis Villamizar <[email-masked]>
Date: Mon, 07 Jun 2010 13:34:57 -0400

Adrian,

The "extra traffic" text is still there in the -05 draft which is a
good thing IMHO.

There are numerous uses of extra traffic, even in TDM networks.  For
example:

  1.  In the 1990s a number of IP providers leased preemptable
      bandwidth on protect paths in order to keep costs down and
      relieve network congestion.  Those were TDM circuits.  The IP
      networks already had restoration in the IP layer and the cost of
      this bandwidth was much lower than plain old unprotected and
      very much lower than protection at the link layer.

  2.  Similar practices are even more common today with packet
      networks having priority queueing (diffserv) and
      soft-preemption.  For example, FRR is almost exclusively used
      with zero reserved bandwidth facilities backup paths.

Extra traffic, particular in packet networks with FRR, is used today.
There is no reason to remove this existing capability from GMPLS
protection in order to call it MPLS-TP.

A provider may choose not to use extra traffic.  The current wording
which cites RFC5654 is fine.  RFC5654 allows extra traffic to be
specified or omited.

   4.3.3.  Extra Traffic

   Section 2.5.1.1 of [RFC5654] says: "Support for extra traffic (as
   defined in [RFC4427]) is not required in MPLS-TP and MAY be omitted
   from the MPLS-TP specifications."

Since GMPLS mechanisms are being used, there is no reason to omit
extra traffic.  All of the current recovery document (I think) state
that extra traffic is optional.  A vendor may chose not to implement
it.  A provider may choose not to use it if implemented.  It may be
harder to take advantage of without a control plane but that is no
reason not to include it as optional.

... still 1.5 months behind on reading this and after the last call
but maybe it helps.  (maybe not?)

Curtis

In message <62AC90B36B8141B29B382567A871D86F@your029b8cecfe>
"Adrian Farrel" writes:
>  
> Hi MPLS-TP list,
>  
> Nurit and I are working on the Survivability Framework and the review from 
> the ITU-T.
>  
> Section 4.3.3 is about "extra traffic". It is based on RFC 5654 section 
> 2.5.1.1 which says....
>  
>    Support for extra traffic (as defined in [RFC4427]) is not
>    required in MPLS-TP and MAY be omitted from the MPLS-TP
>    specifications.
>  
> It is our understanding that this means that extra traffic is within scope 
> of MPLS-TP, but that there is no requirement for a specification to be 
> produced, and that implementations are not required to support extra 
> traffic.
>  
> We also believe that the Survivability Framework should include a 
> description of extra traffic to give an overview of how it fits into the 
> general survivability model in case anyone wishes to work on extra traffic 
> in the future.
>  
> In the liaison from the ITU-T 
> (https://datatracker.ietf.org/documents/LIAISON/file984.pdf) there is a 
> proposed major deletion of text from section 4.3.3. No explanation of this 
> deletion is provided, but we are assuming that it is because the ITU-T feels 
> that there is no requirement to support extra traffic.
>  
> Nurit and I would like to hear the views of the MPLS-TP community on this 
> issue.
>  
> Thanks,
> Adrian and Nurit